package com.hzya.frame.sysnew.homeComponent.entity;

import java.util.Date;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * 首页组件表(SysHomeComponent)实体类
 *
 * @author makejava
 * @since 2024-04-02 11:57:12
 */
public class SysHomeComponentEntity extends BaseEntity {

    /**
     * 组件名称
     */
    private String name;
    /**
     * 组件编码
     */
    private String code;
    /**
     * 状态：0 启用 1 停用
     */
    private String state;
    /**
     * 备注
     */
    private String remark;
    /**
     * 公司id
     */
    private String companyId;

    /**
     * 是否选中
     */
    private boolean check;
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public boolean isCheck() {
        return check;
    }

    public void setCheck(boolean check) {
        this.check = check;
    }
}

